Create a feed

POST/projects/{projectId}/feeds

Creates a new feed under the active project.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

Request Body

required
application/json
{
  "$ref": "#/components/schemas/types.CreateFeedRequest",
  "$ref-value": {
    "properties": {
      "allow_images": {
        "type": "boolean"
      },
      "allow_videos": {
        "type": "boolean"
      },
      "description": {
        "type": "string"
      },
      "has_comments": {
        "type": "boolean"
      },
      "has_likes": {
        "type": "boolean"
      },
      "has_shares": {
        "type": "boolean"
      },
      "name": {
        "type": "string"
      },
      "project_id": {
        "type": "string"
      }
    },
    "required": [
      "name",
      "project_id"
    ],
    "type": "object"
  }
}

Response Body

201application/json

Created

type: unknown

{
  "$ref": "#/components/schemas/feedsv1.Feed",
  "$ref-value": {
    "properties": {
      "allow_images": {
        "type": "boolean"
      },
      "allow_videos": {
        "type": "boolean"
      },
      "created_at": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "has_comments": {
        "type": "boolean"
      },
      "has_likes": {
        "type": "boolean"
      },
      "has_shares": {
        "type": "boolean"
      },
      "id": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "project_id": {
        "type": "string"
      },
      "updated_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/projects/string/feeds" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "project_id": "string"
  }'

Created

application/json

{
  "$ref": "#/components/schemas/feedsv1.Feed",
  "$ref-value": {
    "properties": {
      "allow_images": {
        "type": "boolean"
      },
      "allow_videos": {
        "type": "boolean"
      },
      "created_at": {
        "type": "string"
      },
      "description": {
        "type": "string"
      },
      "has_comments": {
        "type": "boolean"
      },
      "has_likes": {
        "type": "boolean"
      },
      "has_shares": {
        "type": "boolean"
      },
      "id": {
        "type": "string"
      },
      "name": {
        "type": "string"
      },
      "project_id": {
        "type": "string"
      },
      "updated_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}